#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# (c) Copyright 2024 Sensirion AG, Switzerland
#
#     THIS FILE IS AUTOMATICALLY GENERATED!
#
# Generator:     sensirion-driver-generator 0.40.1
# Product:       sfx6xxx
# Model-Version: 2.3.1
#

import pytest
from sensirion_i2c_sfx6xxx.device import Sfx6xxxDevice


@pytest.fixture
def sensor(channel_provider):
    channel_provider.i2c_frequency = 100e3
    channel_provider.supply_voltage = 24
    with channel_provider:
        channel = channel_provider.get_channel(slave_address=0x24,
                                               crc_parameters=(8, 0x31, 0xff, 0x0))
        yield Sfx6xxxDevice(channel)


def test_read_product_identifier1(sensor):
    (product_identifier, serial_number
     ) = sensor.read_product_identifier()
    print(f"product_identifier: {product_identifier}; "
          f"serial_number: {serial_number}; "
          )


def test_start_o2_continuous_measurement1(sensor):
    sensor.start_o2_continuous_measurement()
    (a_flow, a_status_word
     ) = sensor.read_measurement_data()
    print(f"a_flow: {a_flow}; "
          f"a_status_word: {a_status_word}; "
          )
    a_flow = sensor.read_flow()
    print(f"a_flow: {a_flow}; "
          )
    arg_0 = sensor.read_flow_raw()
    print(f"arg_0: {arg_0}; "
          )
    sensor.stop_continuous_measurement()


def test_start_air_continuous_measurement1(sensor):
    sensor.start_air_continuous_measurement()
    (a_flow, a_status_word
     ) = sensor.read_measurement_data()
    print(f"a_flow: {a_flow}; "
          f"a_status_word: {a_status_word}; "
          )
    a_flow = sensor.read_flow()
    print(f"a_flow: {a_flow}; "
          )
    arg_0 = sensor.read_flow_raw()
    print(f"arg_0: {arg_0}; "
          )
    sensor.stop_continuous_measurement()


def test_start_co2_continuous_measurement1(sensor):
    sensor.start_co2_continuous_measurement()
    (a_flow, a_status_word
     ) = sensor.read_measurement_data()
    print(f"a_flow: {a_flow}; "
          f"a_status_word: {a_status_word}; "
          )
    a_flow = sensor.read_flow()
    print(f"a_flow: {a_flow}; "
          )
    arg_0 = sensor.read_flow_raw()
    print(f"arg_0: {arg_0}; "
          )
    sensor.stop_continuous_measurement()


def test_start_n2o_continuous_measurement1(sensor):
    sensor.start_n2o_continuous_measurement()
    (a_flow, a_status_word
     ) = sensor.read_measurement_data()
    print(f"a_flow: {a_flow}; "
          f"a_status_word: {a_status_word}; "
          )
    a_flow = sensor.read_flow()
    print(f"a_flow: {a_flow}; "
          )
    arg_0 = sensor.read_flow_raw()
    print(f"arg_0: {arg_0}; "
          )
    sensor.stop_continuous_measurement()


def test_start_ar_continuous_measurement1(sensor):
    sensor.start_ar_continuous_measurement()
    (a_flow, a_status_word
     ) = sensor.read_measurement_data()
    print(f"a_flow: {a_flow}; "
          f"a_status_word: {a_status_word}; "
          )
    a_flow = sensor.read_flow()
    print(f"a_flow: {a_flow}; "
          )
    arg_0 = sensor.read_flow_raw()
    print(f"arg_0: {arg_0}; "
          )
    sensor.stop_continuous_measurement()

